#if defined(FOG_DITHERING)
	const vec3 magic = vec3(0.06711056, 0.00583715, 52.9829189);
	vec3 fogColor = u_globalFogColor + vec3(fract(magic.z * fract(dot(gl_FragCoord.xy, magic.xy))) * (1.0 / 255.0));
#else
	vec3 fogColor = u_globalFogColor;
#endif
